### Struct

# Ggit RebaseOperation

#### Description [src]

    struct GgitRebaseOperation {
      /* No available fields */
    }

Represents a rebase operation.

#### Instance methods

###### ggit_rebase_operation_get_exec

Gets the executable the user has requested be run. This will only be populated for operations of type `GGIT_REBASE_OPERATION_EXEC`.

###### ggit_rebase_operation_get_id

Gets the commit ID being cherry-picked. This will be populated for all operations except those of type `GGIT_REBASE_OPERATION_EXEC`.

###### ggit_rebase_operation_get_operation_type

Gets the type of rebase operation.

###### ggit_rebase_operation_ref

Atomically increments the reference count of `rebase_operation` by one. This function is MT-safe and may be called from any thread.

###### ggit_rebase_operation_unref

Atomically decrements the reference count of `rebase_operation` by one. If the reference count drops to 0, `rebase_operation` is freed.